## NAME

g.gui.tplot - Plots the values of temporal datasets.

## KEYWORDS

general, GUI, temporal

## SYNOPSIS

g.gui.tplot
g.gui.tplot --help
g.gui.tplot [stvds=name[,name,...]] [strds=name[,name,...]] [coordinates=east,north] [cats=string] [attr=string] [output=name] [size=string] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

stvds=name[,name,...]
  Name of the input space time vector datasets
strds=name[,name,...]
  Name of the input space time raster datasets
coordinates=east,north
  Coordinates
cats=string
  Categories of vectores features
  To use only with stvds
attr=string
  Name of attribute
  Name of attribute which represent data for plotting
output=name
  Name for output file
  Add extension to specify format (.png, .pdf, .svg)
size=string
  The size for output image
  It works only with output parameter

## DESCRIPTION

The Temporal Plot Tool is a wxGUI component which allows the user to see in a plot the values of one or more temporal datasets (strds, stvds, str3ds) for a queried point defined by a coordinate pair.

Supported features:

- temporal datasets with interval/point and absolute/relative time,
- 2D plots,
- pop-up annotations with values information,
- automatic output to query several point.

## NOTES

g.gui.tplot requires the Python plotting library Matplotlib.

## SEE ALSO

Temporal data processing
wxGUI
wxGUI components

## AUTHOR

Luca Delucchi, Fondazione Edmund Mach, Italy

$Date: 2014-06-26 15:50:20 +0200 (Thu, 26 Jun 2014) $

## SOURCE CODE

Available at: wxGUI Temporal Plot Tool source code (history)

Main index | GUI index | Topics index | Keywords index | Graphical index | Full index

© 2003-2016 GRASS Development Team, GRASS GIS 7.2.0 Reference Manual